import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface GooglePubsubTopicIamPolicyConfig extends cdktf.TerraformMetaArguments {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/google-beta/r/google_pubsub_topic_iam_policy#policy_data GooglePubsubTopicIamPolicy#policy_data}
    */
    readonly policyData: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/google-beta/r/google_pubsub_topic_iam_policy#project GooglePubsubTopicIamPolicy#project}
    */
    readonly project?: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/google-beta/r/google_pubsub_topic_iam_policy#topic GooglePubsubTopicIamPolicy#topic}
    */
    readonly topic: string;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/google-beta/r/google_pubsub_topic_iam_policy google_pubsub_topic_iam_policy}
*/
export declare class GooglePubsubTopicIamPolicy extends cdktf.TerraformResource {
    static readonly tfResourceType = "google_pubsub_topic_iam_policy";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/google-beta/r/google_pubsub_topic_iam_policy google_pubsub_topic_iam_policy} Resource
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options GooglePubsubTopicIamPolicyConfig
    */
    constructor(scope: Construct, id: string, config: GooglePubsubTopicIamPolicyConfig);
    get etag(): string;
    get id(): string;
    private _policyData?;
    get policyData(): string;
    set policyData(value: string);
    get policyDataInput(): string | undefined;
    private _project?;
    get project(): string;
    set project(value: string);
    resetProject(): void;
    get projectInput(): string | undefined;
    private _topic?;
    get topic(): string;
    set topic(value: string);
    get topicInput(): string | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
//# sourceMappingURL=google-pubsub-topic-iam-policy.d.ts.map